Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003076Zandronum[All Projects] Bugpublic2017-04-19 09:392017-04-23 23:17
ReporterFused 
Assigned ToTorr Samaho 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.0-beta 
Target Version3.0Fixed in Version3.0 
Summary0003076: Custom pain states appear to "leak" into main pain state, calling A_SetBlend
DescriptionThis is a bit weird to explain.
Basically, when you have a_setblend as the very first function in your main pain state, it seems to be called from custom pain states aswell when playing online. the moment I put it later on and put frames before it, it doesn't happen anymore.
Steps To ReproduceGet to a map with a crusher, for example map06. When getting rushed, notice how A_SetBlend is being called, despite pain.crush not having it.
Additional InformationDoes not happen offline.

The moment I switch the two frames (TNT1 A 0 A_SetBlend ("20 00 00", 0.8, 10) & PLAY G 8 A_Scream), it doesn't happen. Neither does A_Scream get called.
Attached Files? file icon example.pk3 [^] (428 bytes) 2017-04-19 09:39
? file icon crushtest.wad [^] (4,438 bytes) 2017-04-22 20:15

- Relationships

-  Notes
User avatar (0017218)
Torr Samaho (administrator)
2017-04-19 18:19

Is this any different in 2.1.2?
User avatar (0017224)
Fused (reporter)
2017-04-19 19:34
edited on: 2017-04-19 19:35

In Zan 2.1.2 I do not get any effect from A_Blend. I do get the default blend, but I guess Player.DamageScreenColor is not supported, or it happends to behttps://forum.zdoom.org/viewtopic.php?f=2&t=32645 [^] by any chance...?

User avatar (0017254)
Torr Samaho (administrator)
2017-04-22 12:55

Could be.

Can you include a small crusher map in the example?
User avatar (0017264)
Fused (reporter)
2017-04-22 20:15

Added.
User avatar (0017266)
Torr Samaho (administrator)
2017-04-23 10:08

Thanks! Should be fixed now. The underlying problem was also in 2.1.2.
User avatar (0017298)
Fused (reporter)
2017-04-23 20:39
edited on: 2017-04-23 20:40

Using the example wad with the build fromhttp://zandronum.com/tracker/view.php?id=2594#c17282 [^] which has the commit, fixes the issue.


Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-04-19 09:39 Fused New Issue
2017-04-19 09:39 Fused File Added: example.pk3
2017-04-19 18:19 Torr Samaho Note Added: 0017218
2017-04-19 18:20 Torr Samaho Status new => feedback
2017-04-19 19:34 Fused Note Added: 0017224
2017-04-19 19:34 Fused Status feedback => new
2017-04-19 19:35 Fused Note Edited: 0017224 View Revisions
2017-04-22 12:55 Torr Samaho Note Added: 0017254
2017-04-22 12:55 Torr Samaho Assigned To => Torr Samaho
2017-04-22 12:55 Torr Samaho Status new => feedback
2017-04-22 20:15 Fused File Added: crushtest.wad
2017-04-22 20:15 Fused Note Added: 0017264
2017-04-22 20:15 Fused Status feedback => assigned
2017-04-23 10:08 Torr Samaho Note Added: 0017266
2017-04-23 10:12 Torr Samaho Status assigned => needs testing
2017-04-23 10:12 Torr Samaho Target Version => 3.0
2017-04-23 20:39 Fused Note Added: 0017298
2017-04-23 20:40 Fused Note Edited: 0017298 View Revisions
2017-04-23 23:17 Ru5tK1ng Status needs testing => resolved
2017-04-23 23:17 Ru5tK1ng Resolution open => fixed
2017-04-23 23:17 Ru5tK1ng Fixed in Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker